Subject: Re: Split a subversion repo into several git repos

From: Sam Vilain <[email-masked]>
Date: Fri, 12 Oct 2007 10:40:40 +1300

Jonathan del Strother wrote:
>> For example, I want to convert one subversion repository which  
>> contains the folders:
>> trunk/projectA
>> trunk/projectB
>>
>> into two git repositories:
>> projectA.git
>> projectB.git
> 
> I have a slightly different layout to you -
> 
> projectA/trunk
> projectA/branches
> projectA/tags
> projectB/trunk
> projectB/branches
> projectB/tags
> etc
> 
> - but I've been creating separate git repos from that with (for  
> example) :
> 
> git-svn init -t tags -b branches -T trunk http://svn.host.com/projectA
> git-svn fetch
> 
> 
> Or will git-svn not work with your sort of layout?

It does work.  Use:

git-svn init -t projectA/tags -b projectA/branches \
   -T trunk/projectA http://svn.host.com/
git fetch

Also you can expect the import results of each branch to be the same
regardless of whether you import all at once using a command like the
above, or import a single path without passing -t / -b / -T to git svn init.

If you have a lot of projects to mine from a single repository, use
svnsync or SVN::Mirror/svk and then import from the local repository
with --use-svm-props.

Sam.